Subject: Re: Failing to get DMA working with MPC5200 (TQM5200) and CompactFlash

From: Josh Triplett <[email-masked]>
Date: Sun, 28 Mar 2010 15:23:28 -0700

On Sat, Mar 27, 2010 at 06:44:55PM +0100, Wolfgang Denk wrote:
> In message <20100326225916.GA5690@feather> you wrote:
> > However, according to one of our hardware hackers, Andrew Greenberg
> > (CCed), the STK5200 development breakout board for the TQM5200 *does*
> > have the DMA pins wired up correctly, at least according to its
> > schematic.  That doesn't guarantee that the board matches the schematic,
> > of course.
> 
> We tested CF cards for DMA support some time ago, and IIRC this
> included the STK5200. Situation was that only very few CF cards
> actually support DMA (even if they advertise it on the label).

How very odd and disappointing.

So a CF card might advertise DMA on its label and feature set, and
show DMA modes in hdparm's info dump, but break when actually using DMA
modes?

Do you know of any specific CF cards which *do* support DMA?

- Josh Triplett